TSSSLSERVERCONTEXTCREATE(3ts)

NAME
TSSslServerContextCreate - traffic Server TLS server context creation

SYNOPSIS

#include <ts/ts.h>

    TSSslContext TSSslServerContextCreate(void)

    void TSSslContextDestroy(TSSslContext ctx)

DESCRIPTION

TSSslServerContextCreate() creates a new TLS server context. The context is configured using the TLS settings specified in records.config. TSSslServerContextCreate() returns NULL on failure.

TSSslServerContextDestroy() destroys a TLS context created by TSSslServerContextCreate(). If ctx is NULL, no operation is performed.

TYPE

    TSSslContext

The SSL context object. This is an opaque type that can be cast to the underlying SSL library type (SSL_CTX * for the OpenSSL library).

SEE ALSO

TSAPI(3ts)

COPYRIGHT
2018, dev@trafficserver.apache.org